Tekla Structures二次开发)图纸中输入两点画线

提示输入起点,终点,画一条线段
代码如下:

DrawingHandler MyDrawingHandler = new DrawingHandler();
            Tekla.Structures.Drawing.UI.Picker picker = MyDrawingHandler.GetPicker();
            TSG.Point firstPoint = null;
            TSG.Point secondPoint = null;
            ViewBase view = null;
            picker.PickTwoPoints("please input first", "please input second", out firstPoint, out secondPoint, out view);
            if (MyDrawingHandler.GetConnectionStatus())
            {
                Tekla.Structures.Drawing.Line MyLine;
                Drawing currentDrawing = MyDrawingHandler.GetActiveDrawing();
                if (currentDrawing != null)
                {
                    MyLine = new Tekla.Structures.Drawing.Line(view as ViewBase, firstPoint, secondPoint, 0.0);
                    MyLine.Insert();
                }
            }

在创建前,可以设置线段的属性。
例如设置“凸出”

MyLine.Bulge = 1.0;

例如设置线形

MyLine.Attributes.Line.Type = LineTypes.DashedLine;
  • 0
    点赞
  • 4
    收藏
    觉得还不错? 一键收藏
  • 0
    评论
评论
添加红包

请填写红包祝福语或标题

红包个数最小为10个

红包金额最低5元

当前余额3.43前往充值 >
需支付:10.00
成就一亿技术人!
领取后你会自动成为博主和红包主的粉丝 规则
hope_wisdom
发出的红包
实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、付费专栏及课程。

余额充值